HPE Greenlake For Storage Fleet REST APIs
HPE Greenlake For Storage Fleet REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/jbofioms \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
Identifier of the Storage system JBOF IOM. Filter, Sort
Example: "default.jbofiom-0"
The unique identifier of the resource to which the JBOF IOM belongs.
Example: "123abcd4-5e67-890f-g123-4hi5j67kl8m9"
The URI of the resource to which the JBOF IOM belongs.
Example: "/api/sc.hpe.com/v1/default/jbofioms/jbofiom-0"
Customer ID for the Storage system JBOF IOM. Filter, Sort
Example: "ab1c23456d78901e23fghijk456lm7no"
Unique ID of the enclosure that contains this JBOF IOM.
Example: "123abcd4-5e67-890f-g123-4hi5j67kl8m9"
The URI of the enclosure to which the JBOF IOM belongs.
Example: "/api/sc.hpe.com/v1/default/jbofiom-1/Enclosure"
Serial number of the enclosure that contains this JBOF IOM. Filter
Example: "1AB234C5D6"
The serial number of the JBOF IOM. Filter, Sort
Example: "AB1234C5D6"
Response
application/json
{ "items": [ { … } ], "count": 0, "offset": 0, "total": 0 }
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/jbofioms/2a0df0fe6f7dc7bb16000000000000000000004007 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "customerId": "ab1c23456d78901e23fghijk456lm7no", "enclosureSerialNumber": "1AB234C5D6", "generation": 1692945579, "id": "default.jbofiom-0", "partNumber": "", "serialNumber": "AB1234C5D6", "systemId": "1AB234CDEF", "apiVersion": "sc.hpe.com/v1", "associatedLinks": [ { … } ], "clusterId": "123abcd4-5e67-890f-g123-4hi5j67kl8m9", "clusterRef": "/api/sc.hpe.com/v1/default/jbofioms/jbofiom-0", "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "enclosureId": "123abcd4-5e67-890f-g123-4hi5j67kl8m9", "enclosureRef": "/api/sc.hpe.com/v1/default/jbofiom-1/Enclosure", "ipAddresses": [ "string" ], "kind": "Jbofiom", "location": "0", "resourceUri": "/storage-fleet/v1/devtype7-storage-systems/4UN042PTDW", "status": { "conditions": [ … ], "faultLedState": "Off", "healthLedState": "Off", "lastModifiedTime": "2023-08-24T07:14:33Z", "locatorLedState": "Off", "nics": [ … ], "observedGeneration": 3, "operationalState": "Offline", "pingsOutstanding": 3, "powerState": "Off", "ready": true, "sevenSegmentDisplay": 0 }, "type": "jbofiom" }
Bodyapplication/jsonrequired
To display target Locator LED state of the JBOF IOM. Possible values are "On" or "Off".
Example: "On"
- https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- https://us1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- https://jp1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/storage-fleet/public/openapi/storage-fleet-latest/v1/storage-fleet-api/storage-fleet/v1/devtype7-storage-systems/{systemId}/jbofioms/{jbofiomId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X PUT \
https://eu1.data.cloud.hpe.com/storage-fleet/v1/devtype7-storage-systems/2a0df0fe6f7dc7bb16000000000000000000004817/jbofioms/2a0df0fe6f7dc7bb16000000000000000000004007 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'Response
application/json
{ "message": "Successfully submitted", "status": "SUBMITTED", "taskUri": "/rest/vega/v1/tasks/4969a568-6fed-4915-bcd5-e4566a75e00c" }